#include <bits/stdc++.h>
using namespace std;

int main ()
{
    int n;
    cin >> n;
    vector<int> v(n);
    for(int i=0; i<n; i++)
    {
        cin >> v[i];
    }
    for(int i=0; i<n; i++)
    {
        bool b=false;
        for(int j=1; j*j<=v[i]; j++)
        {
            if(v[i]-(j*j) == floor(sqrt(v[i]-(j*j))) * floor(sqrt(v[i]-(j*j))) && floor(sqrt(v[i]-(j*j)))!=0)
            {
                b=true;
                break;
            }
        }
        if(b)
        {
            cout << 1;
        }
        else
        {
            cout << 0;
        }
    }
    return 0;
}
